decliner(nom,Sem,Val):-
	trait(type_nom,commun),
	trait(genre_nom,G),
	trait(nombre_nom,N),
	decliner(nom(Sem,G,N),Val).

decliner(verbe,V,Val):-
	trait(verbe_mode,M),
	trait(temps_verbe,T),
	trait(nombre_verbe,N),
	trait(genre_verbe,G),
	trait(personne_verbe,P),
	decliner(verbe(V,M,T,P,N,G),Val).

decliner(article,R,Val):-
	trait(genre_art,G),
	trait(nombre_art,N),
	decliner(article(R,G,N),Val).

decliner(pronom,_,Val):-
	trait(type_pro,personnel),
	trait(position_pro,Pos),
	trait(fonction_pro,F),
        (trait(extension_pro,E); E=nil),
	trait(personne_pro,P),
	trait(nombre_pro,N),
	trait(genre_pro,G),
	decliner(pronom(personnel,Pos,F,E,P,G,N),Val),!.





