% Traduction des nombres en mots

    

unites([[0,zero],[1,un],[2,deux],[3,trois],[4,quatre],[5,cinq],[6,six],
        [7,sept],[8,huit],[9,neuf],[10,dix],[11,onze],[12,douze],
        [13,treize],[14,quatorze],[15,quinze],[16,seize],
	[17,'dix-sept'],[18,'dix-huit'],[19,'dix-neuf']]).

dizaines([[20,vingt],[30,trente],[40,quarante],[50,cinquante],[60,soixante]]).	 

traduire(N,N) :- \+ integer(N).

traduire(N,Rad):-
    N < 20,
    unites(U),
    nieme(N,U,[N,Rad]),!.
    
traduire(N,Rad):-
    N < 70,
    M is N mod 10,
    X is N // 10 * 10,
    dizaines(D),
    unites(U),
    member([X,MotD],D),
    member([M,MotU],U),
    (M=0,
        Rad = MotD;
     M=1,
        concat(MotD,' et un',Rad);
     % autres cas
        concat(MotD,'-',R1),
        concat(R1,MotU,Rad)),!.
        
traduire(N,N3):-nom(N,N2),nom(N3,N2).
