:- dynamic choisi/3, pattern/3, const/4, domine/3, topic/1, pattern/2.
:- dynamic attente/2.
:- dynamic mode_trace_p/1, mode_trace_t/1, mode_trace_f/1, mode_trace_s/1,
   mode_trace_r/1, mode_inspect/1, trace_demandee/0.

:- style_check(-singleton).
:- style_check(-discontiguous).

:-ensure_loaded('Librairie/special_swi').
:-ensure_loaded('Librairie/utilites.pl').

:-['Librairie/operateurs'].
:-['Moteur/moteur'].
:-['Moteur/contexte'].
:-['Moteur/realisation'].
:-['Moteur/imprimeur'].
:-['Moteur/temps'].

:-ensure_loaded('Localisation/ana_gen.pl').

:-['Grammaire/lexique'].
:-['Grammaire/nombres.pl'].
:-['Grammaire/sys_temp.pl'].
:-['Grammaire/grammaire'].
:-['Grammaire/lexicalisation'].
:-['Grammaire/declinaisons'].
:-['Grammaire/morpho'].
:-['Grammaire/terminaisons'].

:-['Donnees/interface'].

%:-['Donnees/massimo'].




