:- dynamic univers/1,constante/2,desc/2,occurrence/2,les_relations/1,input/1.

ex:- input(Mess),
     composer(Mess).

st:- clean_all,spy(traiter).



% REPRESENTATION CONCEPTUELLE

% Les objets de l'univers

univers([m1,c1,p1]).



constante(n,incldans(constante(ct0))).


% Les proprietes non temporelles des objets




desc(m1,[onto(moyenne),connu,de(p1)]).
desc(c1,[onto(compagnie),id('Toto inc.'),connu]).
desc(p1,[onto(profit),connu,quantite(pluriel),de(c1)]).
 

occurrence(o1,[processus(augmenter),acteur(m1),
	variation(1000,dollar)
        ]).
occurrence(o2,[processus(augmenter),acteur(m1),
	variation(8000-9000,dollar)
        ]).
occurrence(o3,[processus(augmenter),acteur(m1),
	variation(1000,dollar),
	qualificateur(beaucoup)
        ]).


les_relations([avant(n,o1),avant(o2,n),avant(o3,n)]).

input([
      
      [message === evenement(o1),
       contexte === [onto===[],
	             id===[]],
        enon===constante(n),
        ref===nil,
	persp===nil,
        loc===nil,
	focus===m1],

      [message === evenement(o2),
       contexte === [onto===[c1],
 	             id===[]],
        enon===constante(n),
        ref===constante(ct1),
	persp===nil,
%        loc===apres([ct2,_,_],[ct1,_,_],indefini),
        loc===apres([ct2,_,_],[ct1,_,_],duree(2,jour)),
	focus===m1],

      [message === evenement(o3),
       contexte === [onto===[],
          	     id===[c1]],
       enon===constante(n),
       ref===nil,
	persp===nil,
%        loc===[ct3,annee,1995],
        loc===etendue([ct4,_,_],[ct3,annee,1995],[ct5,annee,1996]),
%        loc===entre([ct4,_,_],[ct3,annee,1995],[ct5,annee,1996]),
	focus===m1]

]).


