% Fonction generale pour des operations sur les cadres
% temporels

calculer(Cad,Operation,Op1,Op2):-
    cadre(Cad,_,_,Convention),
    app_op_cadre(Convention,Operation,Op1,Op2).










% Convention "calendrier"

app_op_cadre(horaire,addition,[H1,M1],[H2,M2],[Hr,Mr]):-
    Min1 is 60*H1 + M1,
    Min2 is 60*H2 + M2,
    Min3 is Min1+Min2,
    Hr is Min3 div 60,
    Mr is Min3 mod 60.

app_op_cadre(horaire,soustraction,H1,[H2,M2],Hr):-
    app_op_cadre(horaire,addition,H1,[-H2,-M2],Hr).
    

app_op_cadre(horaire,ecart,[H1,M1],[H2,M2],E):-
    Min1 is 60*H1 + M1,
    Min2 is 60*H2 + M2,
    E is Min2 - Min1.
