


%   terminaisons des verbes sous la forme
%   terminaison(liste des finales,
%               groupe, personne, nombre).
%
% premiere conjuguaison (aimer)

terminaison(1,[e],1,singulier,indicatif,present).
terminaison(1,[e,s],2,singulier,indicatif,present).
terminaison(1,[e],3,singulier,indicatif,present).
terminaison(1,[o,n,s],1,pluriel,indicatif,present).
terminaison(1,[e,z],2,pluriel,indicatif,present).
terminaison(1,[e,n,t],3,pluriel,indicatif,present).

terminaison(1,[a,i],1,singulier,indicatif,passe).
terminaison(1,[a,s],2,singulier,indicatif,passe).
terminaison(1,[a],3,singulier,indicatif,passe).
terminaison(1,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(1,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(1,[,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(1,[a,i,s],1,singulier,indicatif,imparfait).
terminaison(1,[a,i,s],2,singulier,indicatif,imparfait).
terminaison(1,[a,i,t],3,singulier,indicatif,imparfait).
terminaison(1,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(1,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(1,[a,i,e,n,t],3,pluriel,indicatif,imparfait). 

terminaison(1,[e,r,a,i],1,singulier,indicatif,futur).
terminaison(1,[e,r,a,s],2,singulier,indicatif,futur).
terminaison(1,[e,r,a],3,singulier,indicatif,futur).
terminaison(1,[e,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(1,[e,r,e,z],2,pluriel,indicatif,futur).
terminaison(1,[e,r,o,n,t],3,pluriel,indicatif,futur).




% deuxime conjugaison (finir)

terminaison(2,[i,s],1,singulier,indicatif,present).
terminaison(2,[i,s],2,singulier,indicatif,present).
terminaison(2,[i,t],3,singulier,indicatif,present).
terminaison(2,[i,s,s,o,n,s],1,pluriel,indicatif,present).
terminaison(2,[i,s,s,e,z],2,pluriel,indicatif,present).
terminaison(2,[i,s,s,e,n,t],3,pluriel,indicatif,present).

terminaison(2,[i,s],1,singulier,indicatif,passe).
terminaison(2,[i,s],2,singulier,indicatif,passe).
terminaison(2,[i,t],3,singulier,indicatif,passe).
terminaison(2,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(2,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(2,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(2,[i,s,s,a,i,s],1,singulier,indicatif,imparfait).
terminaison(2,[i,s,s,a,i,s],2,singulier,indicatif,imparfait).
terminaison(2,[i,s,s,a,i,t],3,singulier,indicatif,imparfait).
terminaison(2,[i,s,s,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(2,[i,s,s,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(2,[i,s,s,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(2,[i,r,a,i],1,singulier,indicatif,futur).
terminaison(2,[i,r,a,s],2,singulier,indicatif,futur).
terminaison(2,[i,r,a],3,singulier,indicatif,futur).
terminaison(2,[i,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(2,[i,r,e,z],2,pluriel,indicatif,futur).
terminaison(2,[i,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(2,[i,s,s,e],1,singulier,subjonctif,present).
terminaison(2,[i,s,s,e,s],2,singulier,subjonctif,present).
terminaison(2,[i,s,s,e],3,singulier,subjonctif,present).
terminaison(2,[i,s,s,i,o,n,s],1,pluriel,subjonctif,present).
terminaison(2,[i,s,s,i,e,z],2,pluriel,subjonctif,present).
terminaison(2,[i,s,s,e,n,t],3,pluriel,subjonctif,present).

terminaison(2,[i,s],2,singulier,imperatif,present).
terminaison(2,[i,s,s,o,n,s],1,pluriel,imperatif,present).
terminaison(2,[i,s,s,e,z],2,pluriel,imperatif,present).

% Troisieme type

terminaison(3,[r,a,i],1,singulier,indicatif,futur).
terminaison(3,[r,a,s],2,singulier,indicatif,futur).
terminaison(3,[r,a],3,singulier,indicatif,futur).
terminaison(3,[r,o,n,s],1,pluriel,indicatif,futur).
terminaison(3,[r,e,z],2,pluriel,indicatif,futur).
terminaison(3,[r,o,n,t],3,pluriel,indicatif,futur).

terminaison(3,[a,i,s],1,singulier,indicatif,imparfait).
terminaison(3,[a,i,s],2,singulier,indicatif,imparfait).
terminaison(3,[a,i,t],3,singulier,indicatif,imparfait).
terminaison(3,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(3,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(3,[a,i,e,n,t],3,pluriel,indicatif,imparfait).


% Quatrieme type (manger)

terminaison(4,[e],1,singulier,indicatif,present).
terminaison(4,[e,s],2,singulier,indicatif,present).
terminaison(4,[e],3,singulier,indicatif,present).
terminaison(4,[e,o,n,s],1,pluriel,indicatif,present).
terminaison(4,[e,z],2,pluriel,indicatif,present).
terminaison(4,[e,n,t],3,pluriel,indicatif,present).

terminaison(4,[e,a,i],1,singulier,indicatif,passe).
terminaison(4,[e,a,s],2,singulier,indicatif,passe).
terminaison(4,[e,a],3,singulier,indicatif,passe).
terminaison(4,[e,,m,e,s],1,pluriel,indicatif,passe).
terminaison(4,[e,,t,e,s],2,pluriel,indicatif,passe).
terminaison(4,[,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(4,[e,a,i,s],1,singulier,indicatif,imparfait).
terminaison(4,[e,a,i,s],2,singulier,indicatif,imparfait).
terminaison(4,[e,a,i,t],3,singulier,indicatif,imparfait).
terminaison(4,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(4,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(4,[e,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(4,[e,r,a,i],1,singulier,indicatif,futur).
terminaison(4,[e,r,a,s],2,singulier,indicatif,futur).
terminaison(4,[e,r,a],3,singulier,indicatif,futur).
terminaison(4,[e,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(4,[e,r,e,z],2,pluriel,indicatif,futur).
terminaison(4,[e,r,o,n,t],3,pluriel,indicatif,futur).

% Cinquieme type (payer)

terminaison(5,[i,e],1,singulier,indicatif,present).
terminaison(5,[i,e,s],2,singulier,indicatif,present).
terminaison(5,[i,e],3,singulier,indicatif,present).
terminaison(5,[y,o,n,s],1,pluriel,indicatif,present).
terminaison(5,[y,e,z],2,pluriel,indicatif,present).
terminaison(5,[i,e,n,t],3,pluriel,indicatif,present).

terminaison(5,[y,a,i],1,singulier,indicatif,passe).
terminaison(5,[y,a,s],2,singulier,indicatif,passe).
terminaison(5,[y,a],3,singulier,indicatif,passe).
terminaison(5,[y,,m,e,s],1,pluriel,indicatif,passe).
terminaison(5,[y,,t,e,s],2,pluriel,indicatif,passe).
terminaison(5,[y,,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(5,[y,a,i,s],1,singulier,indicatif,imparfait).
terminaison(5,[y,a,i,s],2,singulier,indicatif,imparfait).
terminaison(5,[y,a,i,t],3,singulier,indicatif,imparfait).
terminaison(5,[y,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(5,[y,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(5,[y,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(5,[i,e,r,a,i],1,singulier,indicatif,futur).
terminaison(5,[i,e,r,a,s],2,singulier,indicatif,futur).
terminaison(5,[i,e,r,a],3,singulier,indicatif,futur).
terminaison(5,[i,e,r,o,n,t],1,pluriel,indicatif,futur).
terminaison(5,[i,e,r,e,z],2,pluriel,indicatif,futur).
terminaison(5,[i,e,r,o,n,t],3,pluriel,indicatif,futur).


% Sixieme type (appeler, peler)

terminaison(6,[l,e],1,singulier,indicatif,present).
terminaison(6,[l,e,s],2,singulier,indicatif,present).
terminaison(6,[l,e],3,singulier,indicatif,present).
terminaison(6,[o,n,s],1,pluriel,indicatif,present).
terminaison(6,[e,z],2,pluriel,indicatif,present).
terminaison(6,[l,e,n,t],3,pluriel,indicatif,present).


terminaison(6,[a,i],1,singulier,indicatif,passe).
terminaison(6,[a,s],2,singulier,indicatif,passe).
terminaison(6,[a],3,singulier,indicatif,passe).
terminaison(6,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(6,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(6,[,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(6,[a,i,s],1,singulier,indicatif,imparfait).
terminaison(6,[a,i,s],2,singulier,indicatif,imparfait).
terminaison(6,[a,i,t],3,singulier,indicatif,imparfait).
terminaison(6,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(6,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(6,[a,i,e,n,t],3,pluriel,indicatif,imparfait). 

terminaison(6,[l,e,r,a,i],1,singulier,indicatif,futur).
terminaison(6,[l,e,r,a,s],2,singulier,indicatif,futur).
terminaison(6,[l,e,r,a],3,singulier,indicatif,futur).
terminaison(6,[l,e,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(6,[l,e,r,e,z],2,pluriel,indicatif,futur).
terminaison(6,[l,e,r,o,n,t],3,pluriel,indicatif,futur).


% Huitieme type (jeter, acheter)

terminaison(8,[t,e],1,singulier,indicatif,present).
terminaison(8,[t,e,s],2,singulier,indicatif,present).
terminaison(8,[t,e],3,singulier,indicatif,present).
terminaison(8,[o,n,s],1,pluriel,indicatif,present).
terminaison(8,[e,z],2,pluriel,indicatif,present).
terminaison(8,[t,e,n,t],3,pluriel,indicatif,present).

terminaison(8,[t,a,i],1,singulier,indicatif,passe).
terminaison(8,[t,a,s],2,singulier,indicatif,passe).
terminaison(8,[t,a],3,singulier,indicatif,passe).
terminaison(8,[t,,m,e,s],1,pluriel,indicatif,passe).
terminaison(8,[t,,t,e,s],2,pluriel,indicatif,passe).
terminaison(8,[t,,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(8,[a,i,s],1,singulier,indicatif,imparfait).
terminaison(8,[a,i,s],2,singulier,indicatif,imparfait).
terminaison(8,[a,i,t],3,singulier,indicatif,imparfait).
terminaison(8,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(8,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(8,[a,i,e,n,t],3,pluriel,indicatif,imparfait). 


terminaison(8,[t,e,r,a,i],1,singulier,indicatif,futur).
terminaison(8,[t,e,r,a,s],2,singulier,indicatif,futur).
terminaison(8,[t,e,r,a],3,singulier,indicatif,futur).
terminaison(8,[t,e,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(8,[t,e,r,e,z],2,pluriel,indicatif,futur).
terminaison(8,[t,e,r,o,n,t],3,pluriel,indicatif,futur).


% Neuvime conjugaison (venir)

terminaison(9,[i,e,n,s],1,singulier,indicatif,present).
terminaison(9,[i,e,n,s],2,singulier,indicatif,present).
terminaison(9,[i,e,n,t],3,singulier,indicatif,present).
terminaison(9,[e,n,o,n,s],1,pluriel,indicatif,present).
terminaison(9,[e,n,e,z],2,pluriel,indicatif,present).
terminaison(9,[i,e,n,n,e,n,t],3,pluriel,indicatif,present).

terminaison(9,[i,n,s],1,singulier,indicatif,passe).
terminaison(9,[i,n,s],2,singulier,indicatif,passe).
terminaison(9,[i,n,t],3,singulier,indicatif,passe).
terminaison(9,[,n,m,e,s],1,pluriel,indicatif,passe).
terminaison(9,[,n,t,e,s],2,pluriel,indicatif,passe).
terminaison(9,[i,n,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(9,[i,e,n,d,r,a,i],1,singulier,indicatif,futur).
terminaison(9,[i,e,n,d,r,a,s],2,singulier,indicatif,futur).
terminaison(9,[i,e,n,d,r,a],3,singulier,indicatif,futur).
terminaison(9,[i,e,n,d,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(9,[i,e,n,d,r,e,z],2,pluriel,indicatif,futur).
terminaison(9,[i,e,n,d,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(9,[e,n,a,i,s],1,singulier,indicatif,imparfait).
terminaison(9,[e,n,a,i,s],2,singulier,indicatif,imparfait).
terminaison(9,[e,n,a,i,t],3,singulier,indicatif,imparfait).
terminaison(9,[e,n,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(9,[e,n,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(9,[e,n,a,i,e,n,t],3,pluriel,indicatif,imparfait).


% Dixi`eme conjugaison (courir)


terminaison(10,[s],1,singulier,indicatif,present).
terminaison(10,[s],2,singulier,indicatif,present).
terminaison(10,[t],3,singulier,indicatif,present).
terminaxison(10,[o,n,s],1,pluriel,indicatif,present).
terminaison(10,[e,z],2,pluriel,indicatif,present).
terminaison(10,[e,n,t],3,pluriel,indicatif,present).

terminaison(10,[u,s],1,singulier,indicatif,passe).
terminaison(10,[u,s],2,singulier,indicatif,passe).
terminaison(10,[u,t],3,singulier,indicatif,passe).
terminaison(10,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(10,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(10,[u,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(10,[r,a,i],1,singulier,indicatif,futur).
terminaison(10,[r,a,s],2,singulier,indicatif,futur).
terminaison(10,[r,a],3,singulier,indicatif,futur).
terminaison(10,[r,o,n,s],1,pluriel,indicatif,futur).
terminaison(10,[r,e,z],2,pluriel,indicatif,futur).
terminaison(10,[r,o,n,t],3,pluriel,indicatif,futur).

terminaison(10,[a,i,s],1,singulier,indicatif,imparfait).
terminaison(10,[a,i,s],2,singulier,indicatif,imparfait).
terminaison(10,[a,i,t],3,singulier,indicatif,imparfait).
terminaison(10,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(10,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(10,[a,i,e,n,t],3,pluriel,indicatif,imparfait).


% Onzieme conjuguaison (ouvrir)

terminaison(11,[e],1,singulier,indicatif,present).
terminaison(11,[es],2,singulier,indicatif,present).
terminaison(11,[e],3,singulier,indicatif,present).
terminaison(11,[o,n,s],1,pluriel,indicatif,present).
terminaison(11,[e,z],2,pluriel,indicatif,present).
terminaison(11,[e,n,t],3,pluriel,indicatif,present).

terminaison(11,[i,s],1,singulier,indicatif,passe).
terminaison(11,[i,s],2,singulier,indicatif,passe).
terminaison(11,[i,t],3,singulier,indicatif,passe).
terminaison(11,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(11,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(11,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(11,[i,r,a,i],1,singulier,indicatif,futur).
terminaison(11,[i,r,a,s],2,singulier,indicatif,futur).
terminaison(11,[i,r,a],3,singulier,indicatif,futur).
terminaison(11,[i,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(11,[i,r,e,z],2,pluriel,indicatif,futur).
terminaison(11,[i,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(11,[a,i,s],1,singulier,indicatif,imparfait).
terminaison(11,[a,i,s],2,singulier,indicatif,imparfait).
terminaison(11,[a,i,t],3,singulier,indicatif,imparfait).
terminaison(11,[i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(11,[i,e,z],2,pluriel,indicatif,imparfait).
terminaison(11,[a,i,e,n,t],3,pluriel,indicatif,imparfait).


% Douzieme conjuguaison (servir)

terminaison(12,[s],1,singulier,indicatif,present).
terminaison(12,[s],2,singulier,indicatif,present).
terminaison(12,[t],3,singulier,indicatif,present).
terminaison(12,[v,o,n,s],1,pluriel,indicatif,present).
terminaison(12,[v,e,z],2,pluriel,indicatif,present).
terminaison(12,[v,e,n,t],3,pluriel,indicatif,present).

terminaison(12,[i,s],1,singulier,indicatif,passe).
terminaison(12,[i,s],2,singulier,indicatif,passe).
terminaison(12,[i,t],3,singulier,indicatif,passe).
terminaison(12,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(12,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(12,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(12,[v,i,r,a,i],1,singulier,indicatif,futur).
terminaison(12,[v,i,r,a,s],2,singulier,indicatif,futur).
terminaison(12,[v,i,r,a],3,singulier,indicatif,futur).
terminaison(12,[v,i,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(12,[v,i,r,e,z],2,pluriel,indicatif,futur).
terminaison(12,[v,i,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(12,[v,a,i,s],1,singulier,indicatif,imparfait).
terminaison(12,[v,a,i,s],2,singulier,indicatif,imparfait).
terminaison(12,[v,a,i,t],3,singulier,indicatif,imparfait).
terminaison(12,[v,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(12,[v,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(12,[v,a,i,e,n,t],3,pluriel,indicatif,imparfait).


% treizieme conjugaison (lire)

terminaison(13,[s],1,singulier,indicatif,present).
terminaison(13,[s],2,singulier,indicatif,present).
terminaison(13,[t],3,singulier,indicatif,present).
terminaison(13,[s,o,n,s],1,pluriel,indicatif,present).
terminaison(13,[s,e,z],2,pluriel,indicatif,present).
terminaison(13,[s,e,n,t],3,pluriel,indicatif,present).

terminaison(13,[u,s],1,singulier,indicatif,passe).
terminaison(13,[u,s],2,singulier,indicatif,passe).
terminaison(13,[u,t],3,singulier,indicatif,passe).
terminaison(13,[^,u,m,e,s],1,pluriel,indicatif,passe).
terminaison(13,[^,u,t,e,s],2,pluriel,indicatif,passe).
terminaison(13,[u,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(13,[r,a,i],1,singulier,indicatif,futur).
terminaison(13,[r,a,s],2,singulier,indicatif,futur).
terminaison(13,[r,a],3,singulier,indicatif,futur).
terminaison(13,[r,o,n,s],1,pluriel,indicatif,futur).
terminaison(13,[r,e,z],2,pluriel,indicatif,futur).
terminaison(13,[r,o,n,t],3,pluriel,indicatif,futur).

terminaison(13,[s,a,i,s],1,singulier,indicatif,imparfait).
terminaison(13,[s,a,i,s],2,singulier,indicatif,imparfait).
terminaison(13,[s,a,i,t],3,singulier,indicatif,imparfait).
terminaison(13,[s,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(13,[s,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(13,[s,a,i,e,n,t],3,pluriel,indicatif,imparfait).


% quatorzieme conjugaison (vouloir)

terminaison(14,[e,u,x],1,singulier,indicatif,present).
terminaison(14,[e,u,x],2,singulier,indicatif,present).
terminaison(14,[e,u,t],3,singulier,indicatif,present).
terminaison(14,[o,u,l,o,n,s],1,pluriel,indicatif,present).
terminaison(14,[o,u,l,e,z],2,pluriel,indicatif,present).
terminaison(14,[e,u,l,e,n,t],3,pluriel,indicatif,present).

terminaison(14,[u,s],1,singulier,indicatif,passe).
terminaison(14,[u,s],2,singulier,indicatif,passe).
terminaison(14,[u,t],3,singulier,indicatif,passe).
terminaison(14,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(14,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(14,[u,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(14,[o,u,d,r,a,i],1,singulier,indicatif,futur).
terminaison(14,[o,u,d,r,a,s],2,singulier,indicatif,futur).
terminaison(14,[o,u,d,r,a],3,singulier,indicatif,futur).
terminaison(14,[o,u,d,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(14,[o,u,d,r,e,z],2,pluriel,indicatif,futur).
terminaison(14,[o,u,d,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(14,[o,u,l,a,i,s],1,singulier,indicatif,imparfait).
terminaison(14,[o,u,l,a,i,s],2,singulier,indicatif,imparfait).
terminaison(14,[o,u,l,a,i,t],3,singulier,indicatif,imparfait).
terminaison(14,[o,u,l,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(14,[o,u,l,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(14,[o,u,l,a,i,e,n,t],3,pluriel,indicatif,imparfait).

% Quinzieme conjugaison (peindre)

terminaison(15,[n,s],1,singulier,indicatif,present).
terminaison(15,[n,s],2,singulier,indicatif,present).
terminaison(15,[n,t],3,singulier,indicatif,present).
terminaison(15,[g,n,o,n,s],1,pluriel,indicatif,present).
terminaison(15,[g,n,e,z],2,pluriel,indicatif,present).
terminaison(15,[g,n,e,n,t],3,pluriel,indicatif,present).

terminaison(15,[g,n,i,s],1,singulier,indicatif,passe).
terminaison(15,[g,n,i,s],2,singulier,indicatif,passe).
terminaison(15,[g,n,i,t],3,singulier,indicatif,passe).
terminaison(15,[g,n,,m,e,s],1,pluriel,indicatif,passe).
terminaison(15,[g,n,,t,e,s],2,pluriel,indicatif,passe).
terminaison(15,[g,n,i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(15,[n,d,r,a,i],1,singulier,indicatif,futur).
terminaison(15,[n,d,r,a,s],2,singulier,indicatif,futur).
terminaison(15,[n,d,r,a],3,singulier,indicatif,futur).
terminaison(15,[n,d,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(15,[n,d,r,e,z],2,pluriel,indicatif,futur).
terminaison(15,[n,d,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(15,[g,n,a,i,s],1,singulier,indicatif,imparfait).
terminaison(15,[g,n,a,i,s],2,singulier,indicatif,imparfait).
terminaison(15,[g,n,a,i,t],3,singulier,indicatif,imparfait).
terminaison(15,[g,n,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(15,[g,n,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(15,[g,n,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(15,[n,d,r,a,i,s],1,singulier,cond,present).
terminaison(15,[n,d,r,a,i,s],2,singulier,cond,present).
terminaison(15,[n,d,r,a,i,t],3,singulier,cond,present).
terminaison(15,[n,d,r,i,o,n,s],1,pluriel,cond,present).
terminaison(15,[n,d,r,i,e,z],2,pluriel,cond,present).
terminaison(15,[n,d,r,a,i,e,n,t],3,pluriel,cond,present).



% Seizieme conjugaison

% Dix-septieme conjugaison

% Dix-huitieme conjugaison

% Dix-neuvieme conjugaison

% Vingti`eme conjugaison  (faire)


terminaison(20,[f,a,i,s],1,singulier,indicatif,present).
terminaison(20,[f,a,i,s],2,singulier,indicatif,present).
terminaison(20,[f,a,i,t],3,singulier,indicatif,present).
terminaison(20,[f,a,i,s,o,n,s],1,pluriel,indicatif,present).
terminaison(20,[f,a,i,t,e,s],2,pluriel,indicatif,present).
terminaison(20,[f,o,n,t],3,pluriel,indicatif,present).

terminaison(20,[i,s],1,singulier,indicatif,passe).
terminaison(20,[i,s],2,singulier,indicatif,passe).
terminaison(20,[i,t],3,singulier,indicatif,passe).
terminaison(20,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(20,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(20,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(20,[f,e,r,a,i],1,singulier,indicatif,futur).
terminaison(20,[f,e,r,a,s],2,singulier,indicatif,futur).
terminaison(20,[f,e,r,a],3,singulier,indicatif,futur).
terminaison(20,[f,e,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(20,[f,e,r,e,z],2,pluriel,indicatif,futur).
terminaison(20,[f,e,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(20,[f,a,i,s,a,i,s],1,singulier,indicatif,imparfait).
terminaison(20,[f,a,i,s,a,i,s],2,singulier,indicatif,imparfait).
terminaison(20,[f,a,i,s,a,i,t],3,singulier,indicatif,imparfait).
terminaison(20,[f,a,i,s,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(20,[f,a,i,s,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(20,[f,a,i,s,a,i,e,n,t],3,pluriel,indicatif,imparfait).




% Vingt et uni`eme type  (devoir)

terminaison(21,[d,o,i,s],1,singulier,indicatif,present).
terminaison(21,[d,o,i,s],2,singulier,indicatif,present).
terminaison(21,[d,o,i,t],3,singulier,indicatif,present).
terminaison(21,[d,e,v,o,n,s],1,pluriel,indicatif,present).
terminaison(21,[d,e,v,e,z],2,pluriel,indicatif,present).
terminaison(21,[d,o,i,v,e,n,t],3,pluriel,indicatif,present).

terminaison(21,[u,s],1,singulier,indicatif,passe).
terminaison(21,[u,s],2,singulier,indicatif,passe).
terminaison(21,[u,t],3,singulier,indicatif,passe).
terminaison(21,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(21,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(21,[u,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(21,[d,e,v,r,a,i],1,singulier,indicatif,futur).
terminaison(21,[d,e,v,r,a,s],2,singulier,indicatif,futur).
terminaison(21,[d,e,v,r,a],3,singulier,indicatif,futur).
terminaison(21,[d,e,v,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(21,[d,e,v,r,e,z],2,pluriel,indicatif,futur).
terminaison(21,[d,e,v,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(21,[d,e,v,a,i,s],1,singulier,indicatif,imparfait).
terminaison(21,[d,e,v,a,i,s],2,singulier,indicatif,imparfait).
terminaison(21,[d,e,v,a,i,t],3,singulier,indicatif,imparfait).
terminaison(21,[d,e,v,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(21,[d,e,v,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(21,[d,e,v,a,i,e,n,t],3,pluriel,indicatif,imparfait).


terminaison(21,[d,e,v,r,a,i,s],1,singulier,cond,present).
terminaison(21,[d,e,v,r,a,i,s],2,singulier,cond,present).
terminaison(21,[d,e,v,r,a,i,t],3,singulier,cond,present).
terminaison(21,[d,e,v,r,i,o,n,s],1,pluriel,cond,present).
terminaison(21,[d,e,v,r,i,e,z],2,pluriel,cond,present).
terminaison(21,[d,e,v,r,a,i,e,n,t],3,pluriel,cond,present).



% Vingt-deuxi`eme   (pouvoir)


terminaison(22,[p,e,u,x],1,singulier,indicatif,present).
terminaison(22,[p,e,u,x],2,singulier,indicatif,present).
terminaison(22,[p,e,u,t],3,singulier,indicatif,present).
terminaison(22,[p,e,u,v,e,n,t],1,pluriel,indicatif,present).
terminaison(22,[p,o,u,v,e,z],2,pluriel,indicatif,present).
terminaison(22,[p,e,u,v,e,n,t],3,pluriel,indicatif,present).

terminaison(22,[p,u,s],1,singulier,indicatif,passe).
terminaison(22,[p,u,s],2,singulier,indicatif,passe).
terminaison(22,[p,u,t],3,singulier,indicatif,passe).
terminaison(22,[p,,m,e,s],1,pluriel,indicatif,passe).
terminaison(22,[p,,t,e,s],2,pluriel,indicatif,passe).
terminaison(22,[p,u,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(22,[p,o,u,r,r,a,i],1,singulier,indicatif,futur).
terminaison(22,[p,o,u,r,r,a,s],2,singulier,indicatif,futur).
terminaison(22,[p,o,u,r,r,a],3,singulier,indicatif,futur).
terminaison(22,[p,o,u,r,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(22,[p,o,u,r,r,e,z],2,pluriel,indicatif,futur).
terminaison(22,[p,o,u,r,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(22,[p,o,u,v,a,i,s],1,singulier,indicatif,imparfait).
terminaison(22,[p,o,u,v,a,i,s],2,singulier,indicatif,imparfait).
terminaison(22,[p,o,u,v,a,i,t],3,singulier,indicatif,imparfait).
terminaison(22,[p,o,u,v,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(22,[p,o,u,v,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(22,[p,o,u,v,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(22,[p,o,u,r,r,a,i,s],1,singulier,cond,present).
terminaison(22,[p,o,u,r,r,a,i,s],2,singulier,cond,present).
terminaison(22,[p,o,u,r,r,a,i,t],3,singulier,cond,present).
terminaison(22,[p,o,u,r,r,i,o,n,s],1,pluriel,cond,present).
terminaison(22,[p,o,u,r,r,i,e,z],2,pluriel,cond,present).
terminaison(22,[p,o,u,r,r,a,i,e,n,t],3,pluriel,cond,present).


% vingt-troisieme  (rendre)


terminaison(23,[d,s],1,singulier,indicatif,present).
terminaison(23,[d,s],2,singulier,indicatif,present).
terminaison(23,[d],3,singulier,indicatif,present).
terminaison(23,[d,o,n,s],1,pluriel,indicatif,present).
terminaison(23,[d,e,z],2,pluriel,indicatif,present).
terminaison(23,[d,e,n,t],3,pluriel,indicatif,present).

terminaison(23,[i,s],1,singulier,indicatif,passe).
terminaison(23,[i,s],2,singulier,indicatif,passe).
terminaison(23,[i,t],3,singulier,indicatif,passe).
terminaison(23,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(23,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(23,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(23,[d,r,a,i],1,singulier,indicatif,futur).
terminaison(23,[d,r,a,s],2,singulier,indicatif,futur).
terminaison(23,[d,r,a],3,singulier,indicatif,futur).
terminaison(23,[d,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(23,[d,r,e,z],2,pluriel,indicatif,futur).
terminaison(23,[d,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(23,[d,a,i,s],1,singulier,indicatif,imparfait).
terminaison(23,[d,a,i,s],2,singulier,indicatif,imparfait).
terminaison(23,[d,a,i,t],3,singulier,indicatif,imparfait).
terminaison(23,[d,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(23,[d,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(23,[d,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(23,[d,r,a,i,s],1,singulier,cond,present).
terminaison(23,[d,r,a,i,s],2,singulier,cond,present).
terminaison(23,[d,r,a,i,t],3,singulier,cond,present).
terminaison(23,[d,r,i,o,n,s],1,pluriel,cond,present).
terminaison(23,[d,r,i,e,z],2,pluriel,cond,present).
terminaison(23,[d,r,a,i,e,n,t],3,pluriel,cond,present).


% vingt-quatrieme  (mettre)


terminaison(24,[e,t,s],1,singulier,indicatif,present).
terminaison(24,[e,t,s],2,singulier,indicatif,present).
terminaison(24,[e,t],3,singulier,indicatif,present).
terminaison(24,[e,t,t,o,n,s],1,pluriel,indicatif,present).
terminaison(24,[e,t,t,e,z],2,pluriel,indicatif,present).
terminaison(24,[e,t,t,e,n,t],3,pluriel,indicatif,present).

terminaison(24,[i,s],1,singulier,indicatif,passe).
terminaison(24,[i,s],2,singulier,indicatif,passe).
terminaison(24,[i,t],3,singulier,indicatif,passe).
terminaison(24,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(24,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(24,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(24,[e,t,t,r,a,i],1,singulier,indicatif,futur).
terminaison(24,[e,t,t,r,a,s],2,singulier,indicatif,futur).
terminaison(24,[e,t,t,r,a],3,singulier,indicatif,futur).
terminaison(24,[e,t,t,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(24,[e,t,t,r,e,z],2,pluriel,indicatif,futur).
terminaison(24,[e,t,t,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(24,[e,t,t,a,i,s],1,singulier,indicatif,imparfait).
terminaison(24,[e,t,t,a,i,s],2,singulier,indicatif,imparfait).
terminaison(24,[e,t,t,a,i,t],3,singulier,indicatif,imparfait).
terminaison(24,[e,t,t,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(24,[e,t,t,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(24,[e,t,t,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(24,[e,t,t,r,a,i,s],1,singulier,cond,present).
terminaison(24,[e,t,t,r,a,i,s],2,singulier,cond,present).
terminaison(24,[e,t,t,r,a,i,t],3,singulier,cond,present).
terminaison(24,[e,t,t,r,i,o,n,s],1,pluriel,cond,present).
terminaison(24,[e,t,t,r,i,e,z],2,pluriel,cond,present).
terminaison(24,[e,t,t,r,a,i,e,n,t],3,pluriel,cond,present).


% vingt-cinquieme  (suffire)


terminaison(25,[s],1,singulier,indicatif,present).
terminaison(25,[s],2,singulier,indicatif,present).
terminaison(25,[t],3,singulier,indicatif,present).
terminaison(25,[s,o,n,s],1,pluriel,indicatif,present).
terminaison(25,[s,e,z],2,pluriel,indicatif,present).
terminaison(25,[s,e,n,t],3,pluriel,indicatif,present).

terminaison(25,[i,s],1,singulier,indicatif,passe).
terminaison(25,[i,s],2,singulier,indicatif,passe).
terminaison(25,[i,t],3,singulier,indicatif,passe).
terminaison(25,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(25,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(25,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(25,[r,a,i],1,singulier,indicatif,futur).
terminaison(25,[r,a,s],2,singulier,indicatif,futur).
terminaison(25,[r,a],3,singulier,indicatif,futur).
terminaison(25,[r,o,n,s],1,pluriel,indicatif,futur).
terminaison(25,[r,e,z],2,pluriel,indicatif,futur).
terminaison(25,[r,o,n,t],3,pluriel,indicatif,futur).

terminaison(25,[s,a,i,s],1,singulier,indicatif,imparfait).
terminaison(25,[s,a,i,s],2,singulier,indicatif,imparfait).
terminaison(25,[s,a,i,t],3,singulier,indicatif,imparfait).
terminaison(25,[s,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(25,[s,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(25,[s,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(25,[r,a,i,s],1,singulier,cond,present).
terminaison(25,[r,a,i,s],2,singulier,cond,present).
terminaison(25,[r,a,i,t],3,singulier,cond,present).
terminaison(25,[r,i,o,n,s],1,pluriel,cond,present).
terminaison(25,[r,i,e,z],2,pluriel,cond,present).
terminaison(25,[r,a,i,e,n,t],3,pluriel,cond,present).


% vingt-sixieme  (falloir)


terminaison(26,[u,t],3,singulier,indicatif,present).

terminaison(26,[l,l,u,t],3,singulier,indicatif,passe).

terminaison(26,[u,d,r,a],3,singulier,indicatif,futur).

terminaison(26,[l,l,a,i,t],3,singulier,indicatif,imparfait).

terminaison(26,[u,d,r,a,i,t],3,singulier,cond,present).


% vingt-septieme  (suivre)


terminaison(27,[s],1,singulier,indicatif,present).
terminaison(27,[s],2,singulier,indicatif,present).
terminaison(27,[t],3,singulier,indicatif,present).
terminaison(27,[v,o,n,s],1,pluriel,indicatif,present).
terminaison(27,[v,e,z],2,pluriel,indicatif,present).
terminaison(27,[v,e,n,t],3,pluriel,indicatif,present).

terminaison(27,[i,s],1,singulier,indicatif,passe).
terminaison(27,[i,s],2,singulier,indicatif,passe).
terminaison(27,[i,t],3,singulier,indicatif,passe).
terminaison(27,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(27,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(27,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(27,[v,r,a,i],1,singulier,indicatif,futur).
terminaison(27,[v,r,a,s],2,singulier,indicatif,futur).
terminaison(27,[v,r,a],3,singulier,indicatif,futur).
terminaison(27,[v,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(27,[v,r,e,z],2,pluriel,indicatif,futur).
terminaison(27,[v,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(27,[v,a,i,s],1,singulier,indicatif,imparfait).
terminaison(27,[v,a,i,s],2,singulier,indicatif,imparfait).
terminaison(27,[v,a,i,t],3,singulier,indicatif,imparfait).
terminaison(27,[v,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(27,[v,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(27,[v,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(27,[v,r,a,i,s],1,singulier,cond,present).
terminaison(27,[v,r,a,i,s],2,singulier,cond,present).
terminaison(27,[v,r,a,i,t],3,singulier,cond,present).
terminaison(27,[v,r,i,o,n,s],1,pluriel,cond,present).
terminaison(27,[v,r,i,e,z],2,pluriel,cond,present).
terminaison(27,[v,r,a,i,e,n,t],3,pluriel,cond,present).


% Vingt-huitieme (prendre)


terminaison(28,[e,n,d,s],1,singulier,indicatif,present).
terminaison(28,[e,n,d,s],2,singulier,indicatif,present).
terminaison(28,[e,n,d],3,singulier,indicatif,present).
terminaison(28,[e,n,o,n,s],1,pluriel,indicatif,present).
terminaison(28,[e,n,e,z],2,pluriel,indicatif,present).
terminaison(28,[e,n,n,e,n,t],3,pluriel,indicatif,present).

terminaison(28,[i,s],1,singulier,indicatif,passe).
terminaison(28,[i,s],2,singulier,indicatif,passe).
terminaison(28,[i,t],3,singulier,indicatif,passe).
terminaison(28,[,m,e,s],1,pluriel,indicatif,passe).
terminaison(28,[,t,e,s],2,pluriel,indicatif,passe).
terminaison(28,[i,r,e,n,t],3,pluriel,indicatif,passe).

terminaison(28,[r,e,n,d,r,a,i],1,singulier,indicatif,futur).
terminaison(28,[r,e,n,d,r,a,s],2,singulier,indicatif,futur).
terminaison(28,[r,e,n,d,r,a],3,singulier,indicatif,futur).
terminaison(28,[r,e,n,d,r,o,n,s],1,pluriel,indicatif,futur).
terminaison(28,[r,e,n,d,r,e,z],2,pluriel,indicatif,futur).
terminaison(28,[r,e,n,d,r,o,n,t],3,pluriel,indicatif,futur).

terminaison(28,[e,n,a,i,s],1,singulier,indicatif,imparfait).
terminaison(28,[e,n,a,i,s],2,singulier,indicatif,imparfait).
terminaison(28,[e,n,a,i,t],3,singulier,indicatif,imparfait).
terminaison(28,[e,n,i,o,n,s],1,pluriel,indicatif,imparfait).
terminaison(28,[e,n,i,e,z],2,pluriel,indicatif,imparfait).
terminaison(28,[e,n,a,i,e,n,t],3,pluriel,indicatif,imparfait).

terminaison(28,[r,e,n,d,r,a,i,s],1,singulier,cond,present).
terminaison(28,[r,e,n,d,r,a,i,s],2,singulier,cond,present).
terminaison(28,[r,e,n,d,r,a,i,t],3,singulier,cond,present).
terminaison(28,[r,e,n,d,r,i,o,n,s],1,pluriel,cond,present).
terminaison(28,[r,e,n,d,r,i,e,z],2,pluriel,cond,present).
terminaison(28,[r,e,n,d,r,a,i,e,n,t],3,pluriel,cond,present).


