
testana(No,C,A,L):-
   enonciation(minute,E),
   testana(No,(n<==>E),C,A,L).



% Le 3 avril 1994
testana(10,E,Cout,AssocOut,Link):-
   identifier(incldans([t1,jour,3],incldans([t2,mois,4],[t3,annee,1994])),
              [t0<==>ere1(1)],Cout,
	      [E,t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t1<==>jour1(728021),t2<==>mois1(23920),t3<==>annee1(1994),
%     t0<==>ere1(1)],
%C = [E,t1<==>jour1(728021),t2<==>mois1(23920),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t1<==>jour1(728021) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Noel 1994
testana(11,E,Cout,AssocOut,Link):-
   identifier(incldans([t1,jour,noel],[t3,annee,1993]),
              [t0<==>ere1(1)],Cout,
	      [E,t0<==>ere1(1)],AssocOut,
	      Link).



% Le 3 avril
% (Top du contexte est une annee)
testana(20,E,Cout,AssocOut,Link):-
   identifier(incldans([t1,jour,3],[t2,mois,avril]),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t1<==>jour1(728021),t2<==>mois1(23920),t3<==>annee1(1994),
%     t0<==>ere1(1)],
%C = [E,t1<==>jour1(728021),t2<==>mois1(23920),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t1<==>jour1(728021) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Le 8 juin
% (Top du contexte est un jour: le 3 avril)
testana(30,E,Cout,AssocOut,Link):-
   identifier(incldans([t4,jour,8],[t5,mois,juin]),
              [t1<==>jour1(728021),t2<==>mois1(23920),t3<==>annee1(1994),
               t0<==>ere1(1)],
              Cout,
	      [E,t1<==>jour1(728021),t2<==>mois1(23920),t3<==>annee1(1994),
               t0<==>ere1(1)],
               AssocOut,
	      Link).

%A = [t4<==>jour1(728087),t5<==>mois1(23922),t1<==>jour1(728021),
%     t2<==>mois1(23920),t3<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t4<==>jour1(728087),t5<==>mois1(23922),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t4<==>jour1(728087) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Aujourd'hui
testana(41,E,Cout,AssocOut,Link):-
   identifier(incl([t1,jour,_],[n,_,_]),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t1<==>jour1(728165),t3<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t1<==>jour1(728165),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t1<==>jour1(728165) 

% Aujourdhui
% (Methode directe)
%testana(42,E,Cout,AssocOut,Link):-
%   identifier([t1,jour,aujourdhui],
%              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
%	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
%	      Link).
%
%A = [t1<==>jour1(728165),t3<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t1<==>jour1(728165),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t1<==>jour1(728165)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Ce mois-ci (mois d'aout)
% (Cas ou tout le mois est designe)
testana(50,E,Cout,AssocOut,Link):-
   identifier(incl([t1,mois,_],[n,_,_]),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t1<==>mois1(23924),t3<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t1<==>mois1(23924),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t1<==>mois1(23924) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lundi dernier
testana(61,E,Cout,AssocOut,Link):-
	identifier(pos_rel(-1,[t4,jour,lundi],incl([t1,jour,_],[n,_,_])),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t4<==>jour1(728162),t1<==>jour1(728165),t3<==>annee1(1994),
%     t0<==>ere1(1)],
%C = [E,t4<==>jour1(728162),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t4<==>jour1(728162) 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lundi dernier (autre formule equivalente)

%testana(62,E,Cout,AssocOut,Link):-
%   identifier(incldans([t4,jour,-1],
%                 filtre(jour,[t5,jour,lundi],
%                    souscadre([t6,jour,_],
%                        incldans([t7,jour,10],[t9,mois,aout]),
%                        [t8,jour,hier],
%                        [t3,annee,1994]))),
%              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
%	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
%	      Link).
%
%A = [t4<==>jour1(728161),t5<==>somme('i#4'),t6<==>somme('i#3'),
%     t3<==>annee1(1994),t0<==>ere1(1)],
%C = [t4<==>jour1(728161),t5<==>somme('i#4'),t6<==>somme('i#3'),
%     t3<==>annee1(1994),t0<==>ere1(1)],
%L = t4<==>jour1(728161) 
%
%def_cadre(_,cadre(somme(X),_,D)).
%
%D = jour1(728150,728164),
%X = 'i#3' 
%
%D = [E,jour1(728154),jour1(728161)],
%X = 'i#4' 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Le 16 mai dernier ( = le 16 de {mai dernier} )
testana(63,E,Cout,AssocOut,Link):-
   identifier(incldans([t5,jour,16],
                       pos_rel(-1,[t4,mois,mai],incl([t1,mois,_],[n,_,_]))),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t5<==>jour1(728064),t4<==>mois1(23921),t3<==>annee1(1994),
%     t0<==>ere1(1)],
%C = [E,t5<==>jour1(728064),t4<==>mois1(23921),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t5<==>jour1(728064)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Le 11 decembre  dernier ( = le {16 decembre} dernier )
% Cette forme est necessaire pour tenir compte du cas ou l'instant 
% d'enonciation est en mai apres le 16
testana(64,E,Cout,AssocOut,Link):-
   identifier(pos_rel(-1,incldans([t5,jour,11],[t6,mois,decembre]),
                         incl([t4,jour,_],[n,_,_])), 
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).


%A = [t5<==>jour1(728064),t6<==>mois1(23921),t4<==>jour1(728165),
%     t3<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t5<==>jour1(728064),t6<==>mois1(23921),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t5<==>jour1(728064)




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Decembre dernier
testana(70,E,Cout,AssocOut,Link):-
   identifier(pos_rel(-1,[t4,mois,decembre],incl([t1,mois,_],[n,_,_])),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t4<==>mois1(23916),t3<==>annee1(1994),t0<==>ere1(1),
%     't#3'<==>annee1(1993)],
%C = [E,t4<==>mois1(23916),'t#3'<==>annee1(1993),t0<==>ere1(1)],
%L = t4<==>mois1(23916)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Le mois dernier
testana(81,E,Cout,AssocOut,Link):-
   identifier(pos_rel(-1,[t2,mois,_],incl([t1,mois,_],[n,_,_])),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t2<==>mois1(23923),t3<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t2<==>mois1(23923),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t2<==>mois1(23923) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% La semaine derniere
testana(82,E,Cout,AssocOut,Link):-
   identifier(pos_rel(-1,[t2,semaine,_],incl([t1,semaine,_],[n,_,_])),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t2<==>semaine1(104023),t3<==>annee1(1994),t1<==>semaine1(104024),
%     t0<==>ere1(1)],
%C = [E,t2<==>semaine1(104023),t0<==>ere1(1)],
%L = t2<==>semaine1(104023) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Tous les dimanches de la semaine derniere
testana(91,E,Cout,AssocOut,Link):-
   identifier(filtre(jour,[t4,jour,dimanche],pos_rel(-1,[t2,semaine,_],incl([t1,semaine,_],[n,_,_]))),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A =   [t4<==>somme('i#2'),t2<==>semaine1(104023),t3<==>annee1(1994),
%        t0<==>ere1(1)],
%C =   [t4<==>somme('i#2'),t2<==>semaine1(104023),t0<==>ere1(1)],
%L =    t4<==>somme('i#2') 
%
%def_cadre(_,cadre(somme('i#2'),jour,D)).
%
%D = [E,jour1(728161)] ? 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Tous les dimanches de avril 
testana(92,E,Cout,AssocOut,Link):-
   identifier(filtre(jour,[t4,jour,dimanche],[t2,mois,avril]),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t4<==>somme('i#1'),t2<==>mois1(23920),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [t4<==>somme('i#1'),t2<==>mois1(23920),t1<==>annee1(1994),t0<==>ere1(1)],
%L = t4<==>somme('i#1') 

%
%def_cadre(_,cadre(somme('i#1'),jour,D)).
%
%D = [E,jour1(728021),jour1(728028),jour1(728035),jour1(728042)] ? 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Le 3e dimanche d'avril

testana(93,E,Cout,AssocOut,Link):-
   identifier(incldans([t5,jour,3],filtre(jour,[t4,jour,dimanche],[t2,mois,avril])),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t5<==>jour1(728035),t4<==>somme('i#0'),t2<==>mois1(23920),
%     t1<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t5<==>jour1(728035),t4<==>somme('i#0'),t2<==>mois1(23920),
%     t1<==>annee1(1994),t0<==>ere1(1)],
%L = t5<==>jour1(728035) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% "Le 3e dimanche d'avril" suivi de "le lendemain"

testana(100,E,Cout,AssocOut,Link):-
   identifier(incldans([t5,jour,3],
                 filtre(jour,[t4,jour,dimanche],[t2,mois,avril])),
              [t1<==>annee1(1994),t0<==>ere1(1)],C,
	      [t1<==>annee1(1994),t0<==>ere1(1)],A,
	      _),
   identifier(pos_rel(1,[t6,jour,_],[t5,_,_]),C,Cout,A,AssocOut,Link).


%A = [t6<==>jour1(728036),t5<==>jour1(728035),t4<==>somme('i#0'),
%     t2<==>mois1(23920),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t6<==>jour1(728036),t2<==>mois1(23920),t1<==>annee1(1994),t0<==>ere1(1)],
%L = t6<==>jour1(728036) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Le dernier jour du mois d'avril
testana(110,E,Cout,AssocOut,Link):-
   identifier(incldans([t3,jour,-1],[t2,mois,avril]),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t3<==>jour1(728048),t2<==>mois1(23920),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t3<==>jour1(728048),t2<==>mois1(23920),t1<==>annee1(1994),t0<==>ere1(1)],
%L = t3<==>jour1(728048) 

%def_cadre(_,cadre(mois1(23920),_,D)).
%
%D = jour1(728019,728048)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% En avril-mai-juin
testana(120,E,Cout,AssocOut,Link):-
   identifier(souscadre([t4,mois,_],
                    incldans([t3,mois,avril],[t1,annee,1994]),
                    incldans([t2,mois,juin],[t1,annee,1994]),
                    [t1,annee,1994]),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t4<==>somme('i#0'),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t4<==>somme('i#0'),t1<==>annee1(1994),t0<==>ere1(1)],
%L = t4<==>somme('i#0') 
%
%def_cadre(_,cadre(somme('i#0'),_,L)).
%
%L = mois1(23920,23922)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Tous les printemps
testana(130,E,Cout,AssocOut,Link):-
   identifier(filtre(saison,[t2,saison,printemps],
                souscadre([t3,saison,_],
                          [t4,saison,7970],
                          [t5,saison,7980],
                          [t0,_,_])),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t2<==>somme('i#1'),t3<==>somme('i#0'),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [t2<==>somme('i#1'),t3<==>somme('i#0'),t0<==>ere1(1)],
%L = t2<==>somme('i#1') ? 
%
%def_cadre(_,cadre(somme('i#0'),_,D)).
%
%D = saison1(7970,7980) ? 
%
%def_cadre(_,cadre(somme('i#1'),_,D)).
%
%D = [E,saison1(7970),saison1(7974),saison1(7978)]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

% Le printemps de l'annee derniere
testana(131,E,Cout,AssocOut,Link):-
   identifier(filtre(saison,incldans([t6,saison,printemps],
                              pos_rel(-1,[t7,annee,_],
                                      incl([t8,annee,_],[n,_,_]))),
                 filtre(saison,[t2,saison,printemps],
                    souscadre([t3,saison,_],
                              [t4,saison,7970],
                              [t5,saison,7980],
                              [t0,_,_]))),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).


%A = [t6<==>somme('i#2'),t2<==>somme('i#1'),t3<==>somme('i#0'),
%     t1<==>annee1(1994),t0<==>ere1(1)],
%C = [t6<==>somme('i#2'),t2<==>somme('i#1'),t3<==>somme('i#0'),t0<==>ere1(1)],
%L = t6<==>somme('i#2') 
%
%def_cadre(_,cadre(somme(X),_,D)).
%
%D = saison1(7970,7980),
%X = 'i#0' 
%
%D = [saison1(7970),saison1(7974),saison1(7978)],
%X = 'i#1' 
%
%D = [E,saison1(7970)],
%X = 'i#2' 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

% Le printemps de l'annee derniere
testana(132,E,Cout,AssocOut,Link):-
   identifier(incldans([t6,saison,printemps],
                              pos_rel(-1,[t7,annee,_],
                                      incl([t8,annee,_],[n,_,_]))),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t7<==>annee1(1993),t8<==>annee1(1994),t1<==>annee1(1994),
%     t0<==>ere1(1)],
%C = [E,t6<==>saison1(7970),t0<==>ere1(1)],
%L = t6<==>saison1(7970) ? 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

% Le printemps (prochain)
% "prochain" peut etre implicite et deduit par le temps de verbe

testana(133,E,Cout,AssocOut,Link):-
   identifier(pos_rel(1,[t7,saison,printemps],
	                            incl([t8,saison,_],[n,_,_])),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%C = [t7<==>saison1(7978),t0<==>ere1(1)],
%A = [E,t7<==>saison1(7978),t8<==>saison1(7975),t1<==>annee1(1994),
%     t0<==>ere1(1)],
%L = t7<==>saison1(7978) 
%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

% D'ici au mois de janvier (prochain)

testana(140,E,Cout,AssocOut,Link):-
   identifier(souscadre([t,mois,_],
              incl([t2,mois,_],[n,_,_]),
              pos_rel(1,[t4,mois,janvier],incl([t1,mois,_],[n,_,_])),
              [t0,_,_]),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t<==>somme('i#4'),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t<==>somme('i#4'),t0<==>ere1(1)],
%L = t<==>somme('i#4') 
%
%
%def_cadre(_,cadre(somme('i#4'),_,D)).
%
%D = mois1(23924,23929) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

% En 1985-1986

testana(150,E,Cout,AssocOut,Link):-
   identifier(souscadre([t2,annee,_],
                        [t3,annee,1985],
                        [t4,annee,1986],
                        [t0,_,_]),
              [t1<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t1<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t2<==>somme('i#5'),t1<==>annee1(1994),t0<==>ere1(1)],
%C = [E,t2<==>somme('i#5'),t0<==>ere1(1)],
%L = t2<==>somme('i#5')  
%
% def_cadre(_,cadre(somme('i#5'),_,D)).
%
%D = annee1(1985,1986) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

%Les 27 et 28 septembre prochains


testana(160,E,Cout,AssocOut,Link):-
   identifier(souscadre([t4,jour,_],
                         pos_rel(1,incldans([t5,jour,27],[t6,mois,septembre]),
                                   incl([t8,jour,_],[n,_,_])),
                         pos_rel(1,incldans([t5,jour,28],[t6,mois,septembre]),
                                   incl([t8,jour,_],[n,_,_])),
                         [t3,_,_]),
              [t3<==>annee1(1994),t0<==>ere1(1)],Cout,
	      [E,t3<==>annee1(1994),t0<==>ere1(1)],AssocOut,
	      Link).

%A = [t4<==>somme('i#0'),t3<==>annee1(1994),t0<==>ere1(1)],
%C = [t4<==>somme('i#0'),t3<==>annee1(1994),t0<==>ere1(1)],
%L = t4<==>somme('i#0') 
%
%def_cadre(_,cadre(somme('i#0'),_,D)).
%
%D = jour1(728198,728199)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

testana(170,E,Cout,AssocOut,Link):-
   identifier(incldans([t1,minute,10],
                       incldans([t2,heure,8],
                                 incl([t3,jour,_],[n,_,_]))),
              [t0<==>ere1(1)],Cout,
	      [E,t0<==>ere1(1)],AssocOut,
	      Link).
